Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.sagapi
Interface SAGApi.Services

Enclosing interface:
  SAGApi

    public static interface SAGApi.Services

A set of Swift Message Serives, i.e. InterAct, FileAct, etc.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:21 $
Author:
  Harry Liu (harry.liu@sun.com)

Nested Class Summary
`static interface` | `SAGApi.Services.Browse`
`static interface` | `SAGApi.Services.FileActClient` It is client component for FileAct.
`static interface` | `SAGApi.Services.FileActServer` It is server component for FileAct.
`static interface` | `SAGApi.Services.Fin`
`static interface` | `SAGApi.Services.FinCopy`
`static interface` | `SAGApi.Services.FinInform`
`static interface` | `SAGApi.Services.InterActClient` It is client component for InterAct.
`static interface` | `SAGApi.Services.InterActServer` It is server component for InterAct.
`static interface` | `SAGApi.Services.SnF`

Method Summary
`SAGApi.Services.FileActClient` | `getFileActClient()` Gets the FileAct Cient.
`SAGApi.Services.FileActServer` | `getFileActServer()` Gets the FileAct Server.
`SAGApi.Services.InterActClient` | `getInterActClient()` Gets the InterAct Cient.
`SAGApi.Services.InterActServer` | `getInterActServer()` Gets the InterAct Server.

Method Detail

### getInterActClient

    SAGApi.Services.InterActClient getInterActClient()
                                                     throws SAGApplicationException

  Gets the InterAct Cient.

  Parameters:
    None.

  Returns:
    `InterActClient` - Returns the InterAct client.
  Throws:
    `SAGApplicationException` - upon error.

### getFileActClient

    SAGApi.Services.FileActClient getFileActClient()
                                                   throws SAGApplicationException

  Gets the FileAct Cient.

  Parameters:
    None.

  Returns:
    `FileActClient` - Returns the FileAct client.
  Throws:
    `SAGApplicationException` - upon error.

### getInterActServer

    SAGApi.Services.InterActServer getInterActServer()
                                                     throws SAGApplicationException

  Gets the InterAct Server.

  Parameters:
    None.

  Returns:
    `InterAct Server` - Returns the InterAct Server.
  Throws:
    `SAGApplicationException` - upon error.

### getFileActServer

    SAGApi.Services.FileActServer getFileActServer()
                                                   throws SAGApplicationException

  Gets the FileAct Server.

  Parameters:
    None.

  Returns:
    `FileActServer` - Returns the FileAct Server.
  Throws:
    `SAGApplicationException` - upon error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.